package test.sim.scenario;

import brn.sim.scenario.mchannel.McExORParams;
import brn.sim.scenario.mchannel.McExORSim;
import brn.sim.builder.*;
import brn.sim.AbstractDriver;
import brn.sim.AbstractParams;
import brn.sim.handler.TimeBarRadioChannelHandler;
import brn.sim.handler.LinkQualityHandler;
import brn.swans.app.UdpApplication;
import jist.swans.Constants;
import jist.swans.Node;
import jist.swans.trans.AbstractTrans;
import test.sim.handler.McExORTestEventHandler;

public class TestMcExORMChSim extends AbstractTestMcExOR {

  public static void main(String[] args) {
    TestMcExORMChSim test = new TestMcExORMChSim();

    try {
      //McExORParams options = McExORParams.withMultiChannel(2);
      McExORParams options = McExORParams.withMultiChannelMaxThroughput(2);
      //McExORParams options = McExORParams.maxThroughputParams();
      //McExORParams options = McExORParams.randomPlacementParams();

      test.run(options);
    } catch (Exception e) {
      throw new RuntimeException(e);
    }
  }
}
